Drop ptrl_comment in production
Closed, ResolvedPublic

Description

This is not at all urgent. It's just null and not hurting anything. However, I've removed it from the codebase, so I just wanted to let you know, so it can be scheduled at some point.

https://gerrit.wikimedia.org/r/#/c/336903/

Sorry for not following the workflow.

Progress:

  • s1 - enwiki
  • s3 - testwiki
  • s3 - test2wiki
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptFeb 10 2017, 2:27 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Marostegui triaged this task as Normal priority.Jun 21 2017, 11:49 AM
jcrespo added a subscriber: jcrespo.

As per comment, there is noone blocked there, this is a regular DBA cleanup task. Thanks for reporting- it helps making things cleaner.

jcrespo moved this task from Triage to Backlog on the DBA board.Mar 5 2018, 10:42 AM

This table only exists on

s1 (enwiki) 352711 rows
s3 (testwiki) 162 rows
s3 (test2wiki) 77 rows

Marostegui updated the task description. (Show Details)Mar 23 2018, 2:41 PM

I have renamed the column on testwiki and test2wiki on db2036 to make sure nothing breaks:

+------------+
| @@hostname |
+------------+
| db2036     |
+------------+
1 row in set (0.04 sec)

root@db2036.codfw.wmnet[test2wiki]> show create table testwiki.pagetriage_log\G show create table test2wiki.pagetriage_log\G
*************************** 1. row ***************************
       Table: pagetriage_log
Create Table: CREATE TABLE `pagetriage_log` (
  `ptrl_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ptrl_page_id` int(10) unsigned NOT NULL,
  `ptrl_user_id` int(10) unsigned NOT NULL,
  `ptrl_reviewed` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `TO_DROP_ptrl_comment` varbinary(255) DEFAULT NULL,
  `ptrl_timestamp` varbinary(14) NOT NULL,
  PRIMARY KEY (`ptrl_id`),
  KEY `ptrl_page_id_timestamp` (`ptrl_page_id`,`ptrl_timestamp`),
  KEY `ptrl_timestamp` (`ptrl_timestamp`)
) ENGINE=InnoDB AUTO_INCREMENT=3389 DEFAULT CHARSET=binary
1 row in set (0.04 sec)

*************************** 1. row ***************************
       Table: pagetriage_log
Create Table: CREATE TABLE `pagetriage_log` (
  `ptrl_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ptrl_page_id` int(10) unsigned NOT NULL,
  `ptrl_user_id` int(10) unsigned NOT NULL,
  `ptrl_reviewed` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `TO_DROP_ptrl_comment` varbinary(255) DEFAULT NULL,
  `ptrl_timestamp` varbinary(14) NOT NULL,
  PRIMARY KEY (`ptrl_id`),
  KEY `ptrl_page_id_timestamp` (`ptrl_page_id`,`ptrl_timestamp`),
  KEY `ptrl_timestamp` (`ptrl_timestamp`)
) ENGINE=InnoDB AUTO_INCREMENT=6975 DEFAULT CHARSET=binary
1 row in set (0.04 sec)
Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 25 2018, 10:29 AM

Same on db2055 (enwiki):

root@db2055.codfw.wmnet[enwiki]> show create table pagetriage_log\G
*************************** 1. row ***************************
       Table: pagetriage_log
Create Table: CREATE TABLE `pagetriage_log` (
  `ptrl_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ptrl_page_id` int(10) unsigned NOT NULL,
  `ptrl_user_id` int(10) unsigned NOT NULL,
  `ptrl_reviewed` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `TO_DROP_ptrl_comment` varbinary(255) DEFAULT NULL,
  `ptrl_timestamp` varbinary(14) NOT NULL,
  PRIMARY KEY (`ptrl_id`),
  KEY `ptrl_page_id_timestamp` (`ptrl_page_id`,`ptrl_timestamp`),
  KEY `ptrl_timestamp` (`ptrl_timestamp`)
) ENGINE=InnoDB AUTO_INCREMENT=4727957 DEFAULT CHARSET=binary
1 row in set (0.04 sec)
SBisson moved this task from Inbox to External on the Growth-Team board.Jul 25 2018, 12:40 PM

Dropped from enwiki and all its hosts:

  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1002
  • dbstore1001
  • db1124
  • db1119
  • db1118 (test host)
  • db1114
  • db1106
  • db1105
  • db1102 (test host)
  • db1099
  • db1095 (test host)
  • db1089
  • db1083
  • db1080
  • db1067
Marostegui updated the task description. (Show Details)Aug 2 2018, 7:56 AM

deleted from testwiki and test2wiki on all eqiad hosts (codfw was done directly on the master)

  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1002
  • db1124
  • db1123
  • db1078
  • db1077
  • db1075
Marostegui updated the task description. (Show Details)Aug 3 2018, 7:34 AM
Marostegui closed this task as Resolved.
Marostegui claimed this task.